Skip to main content
`Ctrl`+`K`

# Sky2Pix_SlantOrthographic

class astropy.modeling.projections.Sky2Pix_SlantOrthographic(*args, **kwargs)

  Bases: `Sky2PixProjection`, `Zenithal`

  Slant orthographic projection - sky to pixel.

  Corresponds to the `SIN` projection in FITS WCS.

  See `Zenithal` for a definition of the full transformation.

  The following transformation applies when \(\xi\) and \(\eta\) are both zero.

  \[R_\theta = \frac{180^{\circ}}{\pi}\cos \theta\]

  But more specifically are:

  \[\begin{split}x &= \frac{180^\circ}{\pi}[\cos \theta \sin \phi + \xi(1 - \sin \theta)] \\ y &= \frac{180^\circ}{\pi}[\cos \theta \cos \phi + \eta(1 - \sin \theta)]\end{split}\]

  Attributes Summary

  `eta` |
  `param_names` | Names of the parameters that describe models of this type.
  `xi` |

  Attributes Documentation

  eta = _ParameterDS('eta', value=0.0)
  param_names = ('xi', 'eta')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  xi = _ParameterDS('xi', value=0.0)